PipeWire: Control

PipeWire 1.6.7

Loading...
Searching...
No Matches
Control
SPA

Control type declarations. More...

## Files
file | control.h
| spa/control/control.h
file | type-info.h
| spa/control/type-info.h

## Enumerations
enum | spa_control_type { SPA_CONTROL_Invalid , SPA_CONTROL_Properties , SPA_CONTROL_Midi , SPA_CONTROL_OSC , SPA_CONTROL_UMP , _SPA_CONTROL_LAST }
| Different Control types. More...

## Macros
#define | SPA_TYPE_INFO_Control SPA_TYPE_INFO_ENUM_BASE "Control"
#define | SPA_TYPE_INFO_CONTROL_BASE SPA_TYPE_INFO_Control ":"

## Functions
SPA_API_CONTROL_UMP_UTILS size_t | spa_ump_message_size (uint8_t message_type)
SPA_API_CONTROL_UMP_UTILS int | spa_ump_to_midi (const uint32_t **ump, size_t *ump_size, uint8_t *midi, size_t midi_maxsize, uint64_t *state)
SPA_API_CONTROL_UMP_UTILS int | spa_ump_from_midi (uint8_t **midi, size_t *midi_size, uint32_t *ump, size_t ump_maxsize, uint8_t group, uint64_t *state)

## Variables
static const struct spa_type_info | spa_type_control []

## Detailed Description

Control type declarations.

## Enumeration Type Documentation

## ◆ spa_control_type

enum spa_control_type

Different Control types.

Enumerator
SPA_CONTROL_Invalid |
SPA_CONTROL_Properties | SPA_TYPE_OBJECT_Props.
SPA_CONTROL_Midi | spa_pod_bytes with raw midi data (deprecated, use SPA_CONTROL_UMP)
SPA_CONTROL_OSC | spa_pod_bytes with an OSC packet
SPA_CONTROL_UMP | spa_pod_bytes with raw UMP (universal MIDI packet) data. The UMP 32 bit words are stored in native endian format.
_SPA_CONTROL_LAST | not part of ABI

## Macro Definition Documentation

## ◆ SPA_TYPE_INFO_Control

#define SPA_TYPE_INFO_Control SPA_TYPE_INFO_ENUM_BASE "Control"

## ◆ SPA_TYPE_INFO_CONTROL_BASE

#define SPA_TYPE_INFO_CONTROL_BASE SPA_TYPE_INFO_Control ":"

## Function Documentation

## ◆ spa_ump_message_size()

SPA_API_CONTROL_UMP_UTILS size_t spa_ump_message_size | ( | uint8_t | message_type | ) |

## ◆ spa_ump_to_midi()

SPA_API_CONTROL_UMP_UTILS int spa_ump_to_midi | ( | const uint32_t ** | ump,
|  | size_t * | ump_size,
|  | uint8_t * | midi,
|  | size_t | midi_maxsize,
|  | uint64_t * | state )

## ◆ spa_ump_from_midi()

SPA_API_CONTROL_UMP_UTILS int spa_ump_from_midi | ( | uint8_t ** | midi,
|  | size_t * | midi_size,
|  | uint32_t * | ump,
|  | size_t | ump_maxsize,
|  | uint8_t | group,
|  | uint64_t * | state )

## Variable Documentation

## ◆ spa_type_control

const struct spa_type_info spa_type_control[]
| static